

<div class="">

   <!--  <div class="card" >
        <h5 class="card-header text-center">Gestion Camion</h5>
        <div class="card-body">
          <h5 class="card-title">Special title treatment</h5>
          <p class="card-text">With supporting text below as a natural lead-in to additional content.</p>
          <a href="#" class="btn btn-primary">Go somewhere</a>
        </div>

      </div> -->

      <div class="card police">
          <div class="card-header text-center">
            <ul class="nav nav-tabs card-header-tabs">
              <li class="nav-item">
                <a class="nav-link "  [ngClass]="{'active': ajouter}"   (click)="goTo(1)">Ajouter Camion </a>
              </li>
              <li class="nav-item">
                <a class="nav-link " [ngClass]="{'active': lister}"   (click)="goTo(2)" >Liste des camions</a>
              </li>
              <li class="nav-item" *ngIf="isMaj" >
                <a class="nav-link " [ngClass]="{'active': isMaj}"  >Mise à jour camion</a>
              </li>
            </ul>
          </div>
          <div class="card-body">
            <div class="" *ngIf="ajouter">

              <form #f="ngForm" (ngSubmit)="addCamion(f.value)"  >


<!--  is-invalid -->
 <div class="form-row">
    <div class="col-md-6 mb-3">
      <label for="validationServer01">Marque</label>
      <input name="marque" ngModel type="text" class="form-control " id="validationServer01" placeholder="" required>
   
    </div>
    <div class="col-md-6 mb-3">
      <label for="validationServer02">Modele</label>
      <input name="modele" ngModel type="text" class="form-control " id="validationServer02" placeholder=""  required>
     
    </div>
 
  </div>

  <div class="form-row">
      <div class="col-md-6 mb-3">
        <label for="validationServer01">Matricule</label>
        <input name="matricule" ngModel type="text" class="form-control " [ngClass]="{'is-invalid': isMatricule}"   id="validationServer01" placeholder=""  required>
        <div class="invalid-feedback">
          matricule déja existant !
        </div>
      </div>
      <div class="col-md-6 mb-3">
        <label for="validationServer02">Charge maximale</label>
        <input name="chargeMaximale" ngModel type="number" class="form-control " id="validationServer02" placeholder=""  required>
     
      </div>
   
    </div>

    <div class="text-center">

        <button [disabled]="!f.valid" class="btn btn-primary btn-lg" type="submit">Valider</button>
      </div>



              </form>

            </div>
            <div  *ngIf="lister" class="pivotY police2">


                <table class="table table-striped">
                    <thead>
                      <tr>
                        <th scope="col">marque</th>
                        <th scope="col">modele</th>
                        <th scope="col">matricule</th>
                        <th scope="col">charge</th>
                        <th scope="col"></th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr class="ajust2" *ngFor="let op of camions">
                        <td>{{op.marque}}</td>
                        <td>{{op.modele}}</td>
                        <td>{{op.matricule}}</td>
                        <td>{{op.chargeMaximale}}</td>
                        <td align="right" width="20%">
                          
                            <div class="btn-group" role="group" >
                                <button type="button" (click)="getMaj(op)" class="btn btn-defauft police2">MODIF</button>
                                <button type="button" (click)="suppCamion(op)" class="btn btn-danger police2">SUPP</button>
                              </div>
                        
                        </td>
                        
                      </tr>
                
                    </tbody>
                  </table>


            </div>


            <div class="" *ngIf="isMaj">

              <form #f="ngForm" (ngSubmit)="majCamion(f.value)"  >


<!--  is-invalid -->
 <div class="form-row">
    <div class="col-md-6 mb-3">
      <label for="validationServer01">Marque</label>
      <input name="marque" ngModel [(ngModel)]="camion.marque" type="text" class="form-control " id="validationServer01" placeholder="" required>

    </div>
    <div class="col-md-6 mb-3">
      <label for="validationServer02">Modele</label>
      <input name="modele" ngModel [(ngModel)]="camion.modele" type="text" class="form-control " id="validationServer02" placeholder=""  required>

    </div>
 
  </div>

  <div class="form-row">
      <div class="col-md-6 mb-3">
        <label for="validationServer01">Matricule</label>
        <input name="matricule" ngModel [(ngModel)]="camion.matricule" [ngClass]="{'is-invalid': isMatricule}" type="text" class="form-control " id="validationServer01" placeholder=""  required>
        <div class="invalid-feedback">
          matricule déja existant !
        </div>
      </div>
      <div class="col-md-6 mb-3">
        <label for="validationServer02">Charge maximale</label>
        <input name="chargeMaximale" ngModel [(ngModel)]="camion.chargeMaximale"  type="number" class="form-control " id="validationServer02" placeholder=""  required>

      </div>
   
    </div>

    <div class="text-center">

        <button [disabled]="!f.valid" class="btn btn-primary btn-lg" type="submit">Valider</button>
      </div>



              </form>

            </div>

          </div>
        </div>
</div>

